export enum placeTypes {
  continent = 'continent',
  country = 'country',
  state = 'state',
  region = 'region',
  city = 'city',
  district = 'district',
  street = 'street',
  building = 'building',
  section = 'section',
  floor = 'floor',
  flat = 'flat',
}

export type PlaceFormState = {
  placeName: string;
  placeTypes: `${placeTypes}`;
  parentId: string;
};

export interface ICreatePlaceProps {
  formStateData: {
    formState: PlaceFormState;
    setFormState: React.Dispatch<React.SetStateAction<PlaceFormState>>;
  };
  handleNameSetState: (_name: string, newValue: string) => void;
}
